#########
# DEVELOP
#########

release_testing:
  stage: release_testing
  only:
    - development
  script:
    - docker pull "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"
    - docker pull "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG" "$CI_REGISTRY_IMAGE":testing
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest "$CI_REGISTRY_IMAGE":testing-integrationtest
    - docker push "$CI_REGISTRY_IMAGE":testing
    - docker push "$CI_REGISTRY_IMAGE":testing-integrationtest

########
# MASTER
########

release:
  stage: release
  only:
    - master
  script:
    - VERSION=$(cat $VERSION_FILE)
    - VERSION="v$VERSION"
    - docker pull "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"
    - docker pull "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG" "$CI_REGISTRY_IMAGE":latest
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest "$CI_REGISTRY_IMAGE":latest-integrationtest
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG" "$CI_REGISTRY_IMAGE":"$VERSION"
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"-integrationtest "$CI_REGISTRY_IMAGE":"$VERSION"-integrationtest
    - docker push "$CI_REGISTRY_IMAGE":latest
    - docker push "$CI_REGISTRY_IMAGE":latest-integrationtest
    - docker push "$CI_REGISTRY_IMAGE":"$VERSION"
    - docker push "$CI_REGISTRY_IMAGE":"$VERSION"-integrationtest
